pdMatrix.reStruct {nlme} | R Documentation

## Extract Matrix or Square-Root Factor from Components of an reStruct Object

### Description

This method function extracts the positive-definite matrices corresponding to the `pdMat` elements of `object`, or square-root factors of the positive-definite matrices.

### Usage

    ## S3 method for class 'reStruct'
    pdMatrix(object, factor)

### Arguments

`object` | an object inheriting from class `"reStruct"`, representing a random effects structure and consisting of a list of `pdMat` objects.
`factor` | an optional logical value. If `TRUE`, square-root factors of the positive-definite matrices represented by the elements of `object` are returned; else, if `FALSE`, the positive-definite matrices are returned. Defaults to `FALSE`.

### Value

a list with components given by the positive-definite matrices corresponding to the elements of `object`, or square-root factors of the positive-definite matrices.

### Author(s)

José Pinheiro and Douglas Bates bates@stat.wisc.edu

### References

Pinheiro, J.C., and Bates, D.M. (2000) "Mixed-Effects Models in S and S-PLUS", Springer, esp. p. 162.

### See Also

`as.matrix.reStruct`, `reStruct`, `pdMat`, `pdMatrix`, `pdMatrix.pdMat`

### Examples

    rs1 <- reStruct(pdSymm(diag(3), ~age+Sex, data = Orthodont))
    pdMatrix(rs1)

[Package nlme version 3.1-128 Index]